/*
 * @Description: 
 * @Author: 王志鹏
 * @Date: 2023-07-06 08:55:16
 * @LastEditors: 王志鹏
 * @LastEditTime: 2023-07-18 10:00:09
 */
import request from '@/api/main/request.js'
import qs from 'qs'

//影像数据查询
export function getYxsj(parameter) {
    return request({
        url: '/dbms/image/query',
        method: 'post',
        data: qs.stringify(parameter),
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'
        }
    })
}

//影像覆盖率查询
export function getYxfgl(parameter) {
    return request({
        url: '/dbms/image/overlap',
        method: 'post',
        data: qs.stringify(parameter),
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'
        }
    })
}

//上传shp压缩包解压并返回geojson
export function shp2Geojson(parameter) {
    return request({
        url: '/dbms/upload/shp2geojson',
        method: 'post',
        data: parameter,
        headers: {
            'Content-Type': 'application/json'
        }
    })
}