﻿/*
 * @Descripttion: 
 * @version: 
 * @Author: 牛夏蕊
 * @Date: 2022-07-29 11:23:34
 * @LastEditors: 牛夏蕊
 * @LastEditTime: 2022-08-06 11:35:04
 */
//SWImageMapService服务
import * as Cesium from "cesium";
import mapRequest from "@/utils/map/mapRequest";
export function SWImageMapService(layerInfo) {
    var SWImageMapService = new Object;
    SWImageMapService.layerid = "";
    SWImageMapService.id = layerInfo["GUID"] || "";
    SWImageMapService.url = layerInfo["URL"] || "";
    SWImageMapService.name = layerInfo["NAME"] || "";
    SWImageMapService.DATAURI = layerInfo["DATAURI"] || "";
    SWImageMapService.LAYERNAME = layerInfo["LAYERNAME"] || "";
    SWImageMapService.SPATIALREF = layerInfo["SPATIALREF"] || "";
    SWImageMapService.request = import.meta.env.VITE_GDAL_API;
    SWImageMapService.extent = null;
    SWImageMapService.CreateLayer = function (viewer) {
        var that = this;
        // $.ajaxSettings.async = false;
        var layerRequestInfo = null;
        var layerID = null;
        if (this.id) {
            layerID = this.id;
        } else {
            var params = {
                'LAYERDEF': {
                    'GDALPATH': this.layerUrl,
                    'PROJECTION': this.prj,
                    'BANDS': this.Bands,
                    'STRETCH': true
                }
            };
            // $.ajax({
            //     type: 'post',
            //     async: false,
            //     contentType: 'application/json',
            //     url: that.request + "/loaddata",
            //     data: JSON.stringify(params),
            //     success: function (data) {
            //         layerRequestInfo = data;
            //     },
            //     error: function (data) {
            //         console.log(data);
            //     }
            // });
            mapRequest({
                url: that.request + "/loaddata",
                method: 'get',
                params: JSON.stringify(params)
            }).then((res) => {
                data = typeof res == "string" ? JSON.parse(res) : res
                layerRequestInfo = data;
                layerID = layerRequestInfo.LAYERID;
                var thisLayer = viewer.imageryLayers.addImageryProvider(new Cesium.UrlTemplateImageryProvider({
                    url: that.request + "/gettile?LAYERID=" + layerID + "&MINX={westProjected}&MINY={southProjected}&MAXX={eastProjected}&MAXY={northProjected}&SIZEX={width}&SIZEY={height}",
                    // url: url + '/export?bboxSR=3857&transparent=true&bbox={westProjected},{southProjected},{eastProjected},{northProjected}&size={width}%2C{height}&f=image'
                }));
                // flyByRectangle(that.extent);
                // return thisLayer;
                window.treeList[id].imageryLayer = thisLayer
            })
        }
    }
    return SWImageMapService;
}