/**
 * @Description:
 * @version:
 * @Author: 北京四维空间数码科技有限公司-研发部
 * @Date: 2023-01-11 13:52:38
 * @LastEditors: 北京四维空间数码科技有限公司-研发部
 * @LastEditTime: 2023-03-09 18:13:44
 */

import request from './request'
import { createMessagen } from '@/api/mainn/index.js'

let isDev =
    import.meta.env.MODE == "development"

// 2 航空影像
export function hangkongQueryAllDataByGeojson(data) {
    let url = '/system/prodcutygyx/queryAllDataByGeojson'
    // if (!isDev || ) {
    //     url = '/system' + url
    // }
    return request({
        url,
        method: 'POST',
        data
    })
}

// 3 地图产品
export function queryAllDataByGeojson(data) {
    let url = '/system/books/queryAllDataByGeojson'
    // if (!isDev || ) {
    //     url = '/system' + url
    // }
    return request({
        url,
        method: 'POST',
        data
    })
}

// 4 视频产品（实景三维）
export function shipinQueryAllDataByGeojson(data) {
    let url = '/system/sjsw/queryAllDataByGeojson'

    // if (!isDev || ) {
    //     url = '/system' + url
    // }
    return request({
        url,
        method: 'POST',
        data
    })
}

// 提交留言
export function createMessage(data) {
    createMessagen()
    let url = '/system/message/createMessage'
    return request({
        url,
        method: 'post',
        params: data,
    })
}

// 查询实景三维数据列表
export function listSjsw(query) {
  return request({
      url: '/system/sjsw/list',
      method: 'get',
      params: query
  })
}
