/*
 * @Descripttion: 
 * @version: 
 * @Author: 牛夏蕊
 * @Date: 2022-07-29 11:23:34
 * @LastEditors: 牛夏蕊
 * @LastEditTime: 2022-08-06 11:39:09
 */
//内蒙兴趣点
import mapRequest from "@/utils/map/mapRequest";

export function PrimitivePointService(layerInfo) {
    var PrimitivePointService = new Object;
    PrimitivePointService.id = layerInfo.hasOwnProperty("GUID") ? layerInfo.GUID : "";
    PrimitivePointService.url = layerInfo.hasOwnProperty("URL") ? layerInfo.URL : "";
    PrimitivePointService.name = layerInfo.hasOwnProperty("NAME") ? layerInfo.NAME : "";
    PrimitivePointService.params = null;
    PrimitivePointService.layers = {};
    PrimitivePointService.CreateLayer = function (viewer) {
        var url = this.url;
        var thisLayer;
        var that = this;
        // that.params = InitialParameter(url);
        mapRequest({
            url: url,
            method: 'get',
        }).then((res) => {
            data = typeof res == "string" ? JSON.parse(res) : res

            that.params = data;
            for (var attr in that.params) {
                that.layers[attr] = new RenderWithPrimitive(viewer, that.params[attr]["url"], {
                    level: that.params[attr]["level"],
                    size: that.params[attr]["size"],
                    color: that.params[attr]["color"],
                    imageUrl: that.params[attr]["imageUrl"],
                    positionHeight: that.params[attr]["positionHeight"]
                });
            }
            thisLayer = that;
            thisLayer.NAME = that.name;
            // cesium.layer3DList[that.id] = thisLayer;
            // return thisLayer;
            window.treeList[id].imageryLayer = thisLayer

        })

    }
    PrimitivePointService.SetVisible = function (visible) {
        for (var attr in this.layers) {
            this.layers[attr].setVisible(visible);
        }
    }
    return PrimitivePointService;
}